from django.views.decorators.http import require_http_methods

from backend.Service.FormulaService import FormulaService


@require_http_methods(['POST'])
def Create(reqeust):
    return FormulaService.Create(reqeust)


@require_http_methods(['POST'])
def Update(reqeust):
    return FormulaService.Update(reqeust)


@require_http_methods(['POST'])
def Delete(reqeust):
    return FormulaService.Delete(reqeust)


@require_http_methods(['POST'])
def Info(reqeust):
    return FormulaService.Info(reqeust)


@require_http_methods(['POST'])
def Search(reqeust):
    return FormulaService.Search(reqeust)
